# Luakit Documentation / Modules / cmdhist

# Module `cmdhist`

Enables command history in modes that support it

This module adds support for modes to specify that user input on the command line should be recorded, so that users can scroll back through previous input with the arrow keys. It is used to implement history for the `command` mode.

## Functions

### cmdhist.history_prev_func ()

Go to prev cmdhist item

### cmdhist.history_next_func ()

Go to next cmdhist item

## Properties

### cmdhist.history_prev

Type: string
Read-write
Key binding for history prev command

### cmdhist.history_next

Type: string
Read-write
Key binding for history next command

## Attribution

#### Copyright

- 2010 Mason Larobina